Zoho Projects API Documentation
Text copied
File not found

Issue Linking

This module covers issue linking operations in Zoho Projects. Use this API to retrieve linked issues, link issues in bulk, change link types, or unlink issues.

Get Linked Issues

Retrieve all linked issues of an issue.

GET

/api/v3/portal/[PORTAL_ID]/projects/[PROJECT_ID]/issues/[BUG_ID]/linkedissues

OAuth Scope:

ZohoProjects.bugs.READ

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues";
response = invokeUrl
[
    url: url
    type: GET
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Get, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/get "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues';

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues" -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues"

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/[BUG_ID]/linkedissues")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

200{ "status_code" : 200, "response" : { "issue_linked" : { "linked_issues_count" : 1, "linked_issues" : { "depends on" : [ { "issue_prefix" : "D6W0-I23", "issue_key" : "3", "status_id" : "23806000000007045", "issue_id" : "23806000097532262", "project_id" : "23806000097532186", "issue_subject" : "Session token validation failure blocking downstream authentication flow", "assignee" : "monica.hemsworth@zylker.com", "link_style" : "depend", "link_id" : "23806000097532283" } ], "is duplicate of" : [ { "issue_prefix" : "D6W0-I34", "issue_key" : "3", "status_id" : "23806000000007045", "issue_id" : "23806000097532223", "project_id" : "23806000097532186", "issue_subject" : "Session token validation failure blocking downstream authentication flow — critical severity", "assignee" : "monica.hemsworth@zylker.com", "link_style" : "depend", "link_id" : "23806000097532224" } ] }, "reverse_linked_issues" : { } } } }

Establish a link between multiple issues.

POST

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Link multiple issues at once in a project

POST

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Modify the link type between two linked issues.

POST

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Remove the link between issues in a project.

DELETE

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Get Linked Issues (v3.1)

Retrieve all the linked issues to a specific issue.

GET

/api/v3.1/portal/[PORTAL_ID]/projects/[PROJECT_ID]/issues/[ISSUE_ID]/linked-issues

OAuth Scope:

ZohoProjects.bugs.READ

Path Parameters

Param Name
Data Type
Description

Query Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • JSON
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues?page=-&per_page=-' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues";
params = Map();
params.put("page", "-");
params.put("per_page", "-");
response = invokeUrl
[
    url: url
    type: GET
    parameters: params
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues');
url.searchParams.append('page', '-');
url.searchParams.append('per_page', '-');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues")
params = {
  "page" => "-",
  "per_page" => "-"
}
url.query = URI.encode_www_form(params)

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$params = [
    'page' => '-',
    'per_page' => '-',
];
$url = "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues" . "?" . http_build_query($params);

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues"

params = {
    "page": "-",
    "per_page": "-"
}

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers, params=params)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        char *enc_page = curl_easy_escape(curl, "-", 0);
        char *enc_per_page = curl_easy_escape(curl, "-", 0);
        char url[2048];
        snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues?page=%s&per_page=%s", enc_page, enc_per_page);

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_free(enc_page);
        curl_free(enc_per_page);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var query = HttpUtility.ParseQueryString(string.Empty);
query["page"] = "-";
query["per_page"] = "-";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Get, uriBuilder.Uri);

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        char* enc_page = curl_easy_escape(curl, "-", 0);
        char* enc_per_page = curl_easy_escape(curl, "-", 0);
        std::string url = "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues";
        url += "?page=" + std::string(enc_page);
        url += "&per_page=" + std::string(enc_per_page);

        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_free(enc_page);
        curl_free(enc_per_page);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(let [enc-page (java.net.URLEncoder/encode "-" "UTF-8")
      enc-per_page (java.net.URLEncoder/encode "-" "UTF-8")
      url (str "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues" "?page=" enc-page "&per_page=" enc-per_page)]
(def response
  (client/get url
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues", nil)
    q := req.URL.Query()
    q.Add("page", "-")
    q.Add("per_page", "-")
    req.URL.RawQuery = q.Encode()
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues?page=-&per_page=- HTTP/1.1
Host: https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues?page=-&per_page=-
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues");
uriBuilder.addParameter("page", "-");
uriBuilder.addParameter("per_page", "-");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues';

const params = new URLSearchParams({
  'page': '-',
  'per_page': '-'
});

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url + '?' + params.toString(), options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
page =  - 
per_page =  - 
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val urlBuilder = "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues".toHttpUrl().newBuilder()
    urlBuilder.addQueryParameter("page", "-")
    urlBuilder.addQueryParameter("per_page", "-")
    val url = URL(urlBuilder.build().toString())
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSString *encodedPage = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPer_page = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *urlString = [NSString stringWithFormat:@"https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues?page=%@&per_page=%@", encodedPage, encodedPer_page];
NSURL *url = [NSURL URLWithString:urlString];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let enc_page = Uri.pct_encode "-" in
  let enc_per_page = Uri.pct_encode "-" in
  let uri = Uri.of_string ("https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues" ^ "?page=" ^ enc_page ^ "&per_page=" ^ enc_per_page) in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$params = @{
    page = "-"
    per_page = "-"
}
$queryString = ($params.GetEnumerator() | ForEach-Object { "$($_.Key)=$([System.Uri]::EscapeDataString($_.Value))" }) -join "&"
$url = "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues" + "?" + $queryString

$response = Invoke-RestMethod -Uri $url -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues"

params <- list(
  page = "-",
  per_page = "-"
)

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
  query = params
)

content(response, "text")
import Foundation

var components = URLComponents(string: "https://projects.zoho.com/api/v3.1/portal/[PORTAL_ID]/projects/23806000097545166/issues/[ISSUE_ID]/linked-issues")!
components.queryItems = [
    URLQueryItem(name: "page", value: "-"),
    URLQueryItem(name: "per_page", value: "-")
]
let url = components.url!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Input

page : - per_page : -

Sample Response

200{ "issues" : [ { "id" : "139655000000477124", "prefix" : "EC1-I14", "name" : "Escalation due to iterated process hold", "flag" : "Internal", "created_time" : "2024-05-06T11:25:58.000Z", "created_by" : { "zuid" : 76721203, "zpuid" : "139655000000072009", "name" : "Monica Hemsworth", "email" : "monica.hemsworth@zylker.com", "first_name" : "Monica", "last_name" : "Hemsworth" }, "status" : { "id" : "139655000000057085", "name" : "InProgress", "color" : "#fbc11e", "color_hexcode" : "#fbc11e", "is_closed_type" : false, "is_default" : false }, "assignee" : { "zuid" : 76721203, "zpuid" : "139655000000057657", "name" : "Monica Hemsworth", "email" : "monica.hemsworth@zylker.com", "first_name" : "Monica", "last_name" : "Hemsworth" }, "tags" : [ { "id" : "139655000000155027", "name" : "issue", "color_hexcode" : "#0995ba" }, { "id" : "139655000000189037", "name" : "bug", "color_hexcode" : "#57c065" }, { "id" : "139655000000493179", "name" : "problem", "color_hexcode" : "#d359aa" }, { "id" : "139655000000493183", "name" : "needfix", "color_hexcode" : "#f28840" } ], "last_updated_time" : "2024-05-14T09:28:58.000Z", "severity" : { "id" : "139655000000057155", "value" : "Critical" }, "classification" : { "id" : "139655000000057017", "value" : "Security" }, "is_it_reproducible" : { "id" : "139655000000057057", "value" : "Sometimes" }, "module" : { "id" : "139655000000147034", "value" : "Module 1" }, "rate_per_hour" : 20.0, "cost_per_hour" : 10.0, "singleline_1" : "Critical security vulnerability identified in the user authentication module affecting session token integrity.", "checkbox1" : true, "percentage1" : 987654.0, "multipicklist1" : [ "PINK", "GREY", "RED", "SILVER", "WHITE", "BLACK" ], "user_select" : { "zuid" : 78971742, "zpuid" : "139655000000250217", "name" : "Monica Hemsworth", "email" : "monica.hemsworth@zylker.com", "first_name" : "Monica", "last_name" : "Hemsworth" }, "phone1" : "+91 98452 52323", "date_1" : "2024-05-13T18:30:00.000Z", "currency1" : { "currency_code" : "USD", "formatted_amount" : "$ 34,567,654.00", "amount" : 34567654 }, "email1" : "monica.hemsworth@zylker.com", "multiline_1" : "The security audit conducted on May 6th identified a critical vulnerability in the authentication module. Session tokens are not invalidated upon timeout, allowing unauthorized access to active user sessions. Immediate remediation is required to prevent potential data breaches.", "number_1" : 12345, "url1" : "https://www.projects.com", "date_field_1" : "2024-05-01", "userpicklist_all" : { "zuid" : 78815938, "zpuid" : "139655000000436259", "name" : "Monica Hemsworth", "email" : "monica.hemsworth@zylker.com", "first_name" : "Monica", "last_name" : "Hemsworth" }, "picklist_1" : "DESK", "mupl1" : [ { "zuid" : 83641347, "zpuid" : "139655000000415001", "name" : "Monica Hemsworth", "email" : "monica.hemsworth@zylker.com", "first_name" : "Monica", "last_name" : "Hemsworth" }, { "zuid" : 78815938, "zpuid" : "139655000000436259", "name" : "Monica Hemsworth", "email" : "monica.hemsworth@zylker.com", "first_name" : "Monica", "last_name" : "Hemsworth" } ] } ], "page_info" : { "per_page" : 100, "has_next_page" : false, "count" : 1, "page" : 1 } }

Possible Errors

Link multiple issues at once in a project.

POST

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Possible Errors

Change the link type between two issues.

PATCH

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Possible Errors

Unlink multiple issues at once in a project.

DELETE

OAuth Scope:

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Sample Input

Sample Response

Possible Errors

AI Tools
ChatGPT Open in ChatGPT ↗ Open in ChatGPT to ask questions about this page
Claude Open in Claude ↗ Open in Claude to ask questions about this page
Copy as Markdown Copy this page as markdown to use with AI assistants
View as Markdown ↗ Open this page as markdown in a new tab
Copy OpenAPI Spec Copy the OpenAPI YAML to the clipboard
View as YAML ↗ Open the OpenAPI spec in a new tab
Download YAML Save the OpenAPI spec as a .yaml file